Availability of Kernel 4.4.0-129+ on 16.04 LTS main line

Asked by AC on 2018-06-24

When will kernel 4.4.0-129 or above be available on the 16.04 LTS mainline?

Version 4.4.0-128 has a bug in it which is fixed in 129 relating to iotop.

Apt only shows 4.4.0-128 as the current and latest version on 16.04 LTS.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu linux Edit question
Assignee:
No assignee Edit question
Last query:
2018-06-24
Last reply:
2018-06-25
Manfred Hampl (m-hampl) said : #1

4.4.0-130 is already in xenial-proposed (= being tested), see https://launchpad.net/ubuntu/+source/linux and https://launchpad.net/bugs/1776822

AC (atcapollo) said : #2

Thanks. How come 4.4.0-130 is being proposed but 4.4.0-129 was skipped? Who
decides / what's the logic?

I am new to understanding kernel release process.

On Sun, 24 Jun 2018, 14:17 Manfred Hampl, <
<email address hidden>> wrote:

> Your question #670434 on linux in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/linux/+question/670434
>
> Status: Open => Answered
>
> Manfred Hampl proposed the following answer:
> 4.4.0-130 is already in xenial-proposed (= being tested), see
> https://launchpad.net/ubuntu/+source/linux and
> https://launchpad.net/bugs/1776822
>
> --
> If this answers your question, please go to the following page to let us
> know that it is solved:
>
> https://answers.launchpad.net/ubuntu/+source/linux/+question/670434/+confirm?answer_id=0
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/ubuntu/+source/linux/+question/670434
>
> You received this question notification because you asked the question.
>

Manfred Hampl (m-hampl) said : #3

Kernel updates is a quite intricate task. https://wiki.ubuntu.com/Kernel/kernel-sru-workflow provides some information.

I do not know any details, but looking at https://launchpad.net/ubuntu/+source/linux/4.4.0-130.156 it seems that after the initial steps for 4.4.0-129 additional work was added to cope with CVE-2018-3665 (another side channel attack vulnerability) https://wiki.kubuntu.org/SecurityTeam/KnowledgeBase/LazyFP
This probably has caused a new version number.

Can you help with this problem?

Provide an answer of your own, or ask AC for more information if necessary.

To post a message you must log in.